curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/children \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
}
]
}Return child Companies for a Company
Datagrid search (search[datagrid]) queries against the following properties:
legal_namedba_nameparent_company:legal_nametypesaas_billing_planusage_statuscurl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/children \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Company ID
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Search string for datagrid queries
OK
Show child attributes